Loading...
Searching...
No Matches
tropicalStrategy.h File Reference

implementation of the class tropicalStrategy More...

`#include "gfanlib/gfanlib_vector.h"`
`#include "gfanlib/gfanlib_zcone.h"`
`#include "polys/simpleideals.h"`
`#include "kernel/ideals.h"`
`#include "callgfanlib_conversion.h"`
`#include "containsMonomial.h"`
`#include "flip.h"`
`#include "initial.h"`
`#include "witness.h"`

Go to the source code of this file.

## Data Structures

class | tropicalStrategy

## Typedefs

typedef gfan::ZVector(* | wAdjAlg1) (gfan::ZVector)
typedef gfan::ZVector(* | wAdjAlg2) (gfan::ZVector, gfan::ZVector)
typedef bool(* | redAlg) (ideal, ring, number)

## Detailed Description

implementation of the class tropicalStrategy

tropicalStrategy is a class that contains information relevant for computing tropical varieties that is dependent on the valuation of the coefficient field. It represents the mutable part of an overall framework that is capable of computing tropical varieties both over coefficient fields without valuation and with valuation (currently: only p-adic valuation over rational numbers)

Definition in file tropicalStrategy.h.

## Typedef Documentation

## redAlg

typedef bool(* redAlg) (ideal, ring, number)

Definition at line 34 of file tropicalStrategy.h.

## wAdjAlg1

typedef gfan::ZVector(* wAdjAlg1) (gfan::ZVector)

Definition at line 32 of file tropicalStrategy.h.

## wAdjAlg2

typedef gfan::ZVector(* wAdjAlg2) (gfan::ZVector, gfan::ZVector)

Definition at line 33 of file tropicalStrategy.h.